GSA eLibrary contracts¶
Persisted GSA eLibrary contract metadata is exposed directly at /api/gsa_elibrary_contracts/.
For field definitions, see the GSA eLibrary Contracts Data Dictionary.
These endpoints exist in addition to the gsa_elibrary enrichment on /api/idvs/.
Endpoints¶
GET /api/gsa_elibrary_contracts/(list + filtering + ordering)GET /api/gsa_elibrary_contracts/{uuid}/(detail)
Response shape (non-shaped)¶
Each result includes:
uuid,schedule,contract_numbersins,cooperative_purchasing,disaster_recovery_purchasing,file_urlsrecipient(cached lookup by UEI; fields:uei,display_name)idv(best-effort; fields:key,award_date)
Filtering¶
Core filters:
| Param | What it does |
|---|---|
schedule | Filter by schedule (exact). Example: MAS |
contract_number | Filter by contract number (exact, case-insensitive). Example: GS-07F-0251W |
uei | Filter by recipient UEI (from eLibrary provenance; exact). Supports \| (OR) and , (AND). |
sin | Filter by SIN code (exact). Supports \| (OR) and , (AND). |
search | Search across schedule, contract_number, UEI, SIN, and linked IDV fields. Supports \| (OR) and , (AND). |
key | Filter by linked IDV key (exact, case-insensitive). |
piid | Filter by linked IDV PIID (exact, case-insensitive). |
Ordering¶
Supports ordering= with:
last_updatedschedulecontract_number
Example:
Pagination¶
Uses page-number pagination.
Response shaping¶
Like other endpoints, shaping is available via shape=: